<?php
use \LAM\TYPES\TypeManager;
use function LAM\TYPES\getScopeFromTypeId;
use LAM\TYPES\ConfiguredType;

include_once "posixGroup.inc";

class wmdeGroup extends posixGroup
{
	function display_html_attributes() {
		if (!$this->attributes['member']){
			$this->attributes['member']=array(
				"cn=dummy"
			);
		} 
		return parent::display_html_attributes();
	}
	
	function get_metaData() {
		$return = parent::get_metaData();
		$return['objectClasses'] = array('posixGroup','groupOfNames');
		$return['attributes'] = array('gidNumber', $this->passwordAttrName, 'memberUid','member');
		return $return;
	}
}
